%Plots a list of nested circles
N = 10;
t = [0:0.1:2*pi+0.1];
clf;
hold on;
for i = 1:N   
    xpos = 2.5*i;
    for j=1:i
        R = j/i;
        x=xpos + R*cos(t);
        y=R*sin(t);
        plot(x,y);
        axis equal;
        axis([0 2.5*N+1 -1.75 1.75]);
    end
    pause(1/12);
end
